commit f42f2399b3c5dd1e67f36dda7702be5b81310ca8
Author: freddy77 <freddy77>
Date:   Fri Jan 11 08:33:18 2008 +0000

    merged changes for tests

diff --git b/ChangeLog a/ChangeLog
index c9b46cc..30783d8 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,9 +1,3 @@
-Fri Jan 11  9:32:44 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/odbc/unittests/blob1.c src/odbc/unittests/cursor3.c:
-	* src/odbc/unittests/cursor4.c src/odbc/unittests/cursor5.c:
-	* src/odbc/unittests/hidden.c:
-	- merged changes for tests
-
 Fri Jan 11  7:48:23 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac: avoid clash
 
@@ -38,4 +32,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.6 2008/01/11 08:33:18 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.5 2008/01/11 06:48:37 freddy77 Exp $
diff --git b/src/odbc/unittests/blob1.c a/src/odbc/unittests/blob1.c
index dfa8319..b8c45b0 100755
--- b/src/odbc/unittests/blob1.c
+++ a/src/odbc/unittests/blob1.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: blob1.c,v 1.1.2.3 2008/01/11 08:33:18 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.1.2.2 2008/01/10 13:13:46 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -111,7 +111,8 @@ main(int argc, char **argv)
 	use_odbc_version3 = 1;
 	Connect();
 
-	Command(Statement, "CREATE TABLE #tt ( k INT, t TEXT, b IMAGE, v INT )");
+	Command(Statement, "IF OBJECT_ID('tt') IS NOT NULL DROP TABLE tt");
+	Command(Statement, "CREATE TABLE tt ( k INT, t TEXT, b IMAGE, v INT )");
 
 	/* Insert rows ... */
 
@@ -121,7 +122,7 @@ main(int argc, char **argv)
 		rcode = SQLAllocHandle(SQL_HANDLE_STMT, Connection, &m_hstmt);
 		CHECK_RCODE(SQL_HANDLE_DBC, Connection, "SQLAllocHandle StmtH");
 
-		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "INSERT INTO #tt VALUES ( ?, ?, ?, ? )", SQL_NTS);
+		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "insert into tt values ( ?, ?, ?, ? )", SQL_NTS);
 		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLPrepare");
 
 		SQLBindParameter(m_hstmt, 1, SQL_PARAM_INPUT, SQL_C_LONG, SQL_INTEGER, 0, 0, &key, 0, &vind0);
@@ -180,7 +181,7 @@ main(int argc, char **argv)
 		rcode = SQLSetStmtAttr(m_hstmt, SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER);
 		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLSetStmtAttr SQL_ATTR_CURSOR_SENSITIVITY");
 
-		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "SELECT t, b, v FROM #tt WHERE k = ?", SQL_NTS);
+		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "SELECT t, b, v FROM tt WHERE k = ?", SQL_NTS);
 		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLPrepare");
 
 		SQLBindParameter(m_hstmt, 1, SQL_PARAM_INPUT, SQL_C_LONG, SQL_INTEGER, 0, 0, &i, 0, &vind0);
diff --git b/src/odbc/unittests/cursor3.c a/src/odbc/unittests/cursor3.c
index 18c2f1d..791783a 100644
--- b/src/odbc/unittests/cursor3.c
+++ a/src/odbc/unittests/cursor3.c
@@ -1,7 +1,7 @@
 /* Tests 2 active statements */
 #include "common.h"
 
-static char software_version[] = "$Id: cursor3.c,v 1.3.2.1 2008/01/11 08:33:18 freddy77 Exp $";
+static char software_version[] = "$Id: cursor3.c,v 1.3 2007/12/21 10:39:10 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLHDBC m_hdbc;
@@ -69,11 +69,12 @@ main(int argc, char **argv)
 
 	m_hdbc = Connection;
 
-	exec_direct(1, "CREATE TABLE #t1 ( k INT, c VARCHAR(20))");
-	exec_direct(1, "INSERT INTO #t1 VALUES (1, 'aaa')");
-	exec_direct(1, "INSERT INTO #t1 VALUES (2, 'bbbbb')");
-	exec_direct(1, "INSERT INTO #t1 VALUES (3, 'ccccccccc')");
-	exec_direct(1, "INSERT INTO #t1 VALUES (4, 'dd')");
+	exec_direct(0, "DROP TABLE t1");
+	exec_direct(1, "CREATE TABLE t1 ( k INT, c VARCHAR(20))");
+	exec_direct(1, "INSERT INTO t1 VALUES (1, 'aaa')");
+	exec_direct(1, "INSERT INTO t1 VALUES (2, 'bbbbb')");
+	exec_direct(1, "INSERT INTO t1 VALUES (3, 'ccccccccc')");
+	exec_direct(1, "INSERT INTO t1 VALUES (4, 'dd')");
 
 	m_hstmt1 = NULL;
 	rcode = SQLAllocHandle(SQL_HANDLE_STMT, m_hdbc, &m_hstmt1);
@@ -113,10 +114,10 @@ main(int argc, char **argv)
 	rcode = SQLSetCursorName(m_hstmt2, (SQLCHAR *) "c2", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SetCursorName c2");
 
-	rcode = SQLPrepare(m_hstmt1, (SQLCHAR *) "SELECT * FROM #t1", SQL_NTS);
+	rcode = SQLPrepare(m_hstmt1, (SQLCHAR *) "SELECT * FROM t1", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "Prepare 1");
 
-	rcode = SQLPrepare(m_hstmt2, (SQLCHAR *) "SELECT * FROM #t1", SQL_NTS);
+	rcode = SQLPrepare(m_hstmt2, (SQLCHAR *) "SELECT * FROM t1", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "Prepare 2");
 
 	rcode = SQLExecute(m_hstmt1);
@@ -151,6 +152,8 @@ main(int argc, char **argv)
 	rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt2);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLFreeHandle 2");
 
+	exec_direct(1, "DROP TABLE t1");
+
 	Disconnect();
 
 	return 0;
diff --git b/src/odbc/unittests/cursor4.c a/src/odbc/unittests/cursor4.c
index 58c249d..b352644 100755
--- b/src/odbc/unittests/cursor4.c
+++ a/src/odbc/unittests/cursor4.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: cursor4.c,v 1.3.2.1 2008/01/11 08:33:18 freddy77 Exp $";
+static char software_version[] = "$Id: cursor4.c,v 1.3 2007/12/21 10:39:10 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLHDBC m_hdbc;
@@ -72,8 +72,9 @@ main(int argc, char **argv)
 
 	m_hdbc = Connection;
 
-	exec_direct(1, "CREATE TABLE #t1 ( k INT, c VARCHAR(20))");
-	exec_direct(1, "INSERT INTO #t1 VALUES (1, 'aaa')");
+	exec_direct(0, "DROP TABLE t1");
+	exec_direct(1, "CREATE TABLE t1 ( k INT, c VARCHAR(20))");
+	exec_direct(1, "INSERT INTO t1 VALUES (1, 'aaa')");
 
 	m_hstmt1 = NULL;
 	rcode = SQLAllocHandle(SQL_HANDLE_STMT, m_hdbc, &m_hstmt1);
@@ -85,7 +86,7 @@ main(int argc, char **argv)
 	rcode = SQLSetCursorName(m_hstmt1, (SQLCHAR *) "c112", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SetCursorName c112");
 
-	rcode = SQLPrepare(m_hstmt1, (SQLCHAR *) "SELECT * FROM #t1 FOR UPDATE", SQL_NTS);
+	rcode = SQLPrepare(m_hstmt1, (SQLCHAR *) "SELECT * FROM t1 FOR UPDATE", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "Prepare 2");
 
 	exec_direct(1, "BEGIN TRANSACTION");
@@ -96,14 +97,14 @@ main(int argc, char **argv)
 	rcode = SQLFetch(m_hstmt1);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLFetch 1");
 
-	exec_direct(1, "UPDATE #t1 SET c = 'xxx' WHERE CURRENT OF c112");
+	exec_direct(1, "UPDATE t1 SET c = 'xxx' WHERE CURRENT OF c112");
 
 	rcode = SQLCloseCursor(m_hstmt1);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLCloseCursor 2");
 
 	exec_direct(1, "COMMIT TRANSACTION");
 
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "SELECT c FROM #t1 WHERE k = 1", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "SELECT c FROM t1 WHERE k = 1", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 2");
 
 	rcode = SQLFetch(m_hstmt1);
@@ -117,6 +118,8 @@ main(int argc, char **argv)
 	rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt1);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLFreeHandle 1");
 
+	exec_direct(1, "DROP TABLE t1");
+
 	Disconnect();
 
 	return 0;
diff --git b/src/odbc/unittests/cursor5.c a/src/odbc/unittests/cursor5.c
index 5e73dc6..c7be7e4 100755
--- b/src/odbc/unittests/cursor5.c
+++ a/src/odbc/unittests/cursor5.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: cursor5.c,v 1.2.2.1 2008/01/11 08:33:18 freddy77 Exp $";
+static char software_version[] = "$Id: cursor5.c,v 1.2 2007/12/21 10:39:10 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -76,14 +76,15 @@ main(int argc, char **argv)
 	rcode = SQLAllocHandle(SQL_HANDLE_STMT, m_hdbc, &m_hstmt2);
 	CHECK_RCODE(SQL_HANDLE_DBC, m_hdbc, "SQLAllocHandle StmtH 2");
 
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "create table #mytab1 (k int, c char(30))", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "drop table mytab1", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "create table mytab1 (k int, c char(30))", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.1");
 
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into #mytab1 values (1,'aaa')", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into mytab1 values (1,'aaa')", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.2");
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into #mytab1 values (2,'bbb')", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into mytab1 values (2,'bbb')", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.3");
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into #mytab1 values (3,'ccc')", SQL_NTS);
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into mytab1 values (3,'ccc')", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.4");
 
 /*
@@ -94,7 +95,7 @@ main(int argc, char **argv)
 	rcode = SQLSetStmtAttr(m_hstmt2, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, SQL_IS_UINTEGER);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLSetStmtAttr 1");
 
-	rcode = SQLPrepare(m_hstmt2, (SQLCHAR *) "select k, c from #mytab1 order by k", SQL_NTS);
+	rcode = SQLPrepare(m_hstmt2, (SQLCHAR *) "select k, c from mytab1 order by k", SQL_NTS);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLPrepare 3");
 
 	rcode = SQLBindCol(m_hstmt2, 1, SQL_C_LONG, &v_int_3, 0, &v_ind_3_1);
@@ -125,6 +126,9 @@ main(int argc, char **argv)
 	rcode = SQLCloseCursor(m_hstmt2);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLCloseCursor StmtH 2");
 
+	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "drop table mytab1", SQL_NTS);
+	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.3");
+
 	rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt1);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLFreeHandle StmtH 1");
 
diff --git b/src/odbc/unittests/hidden.c a/src/odbc/unittests/hidden.c
index ad75433..66be442 100755
--- b/src/odbc/unittests/hidden.c
+++ a/src/odbc/unittests/hidden.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: hidden.c,v 1.1.2.2 2008/01/11 08:33:18 freddy77 Exp $";
+static char software_version[] = "$Id: hidden.c,v 1.1.2.1 2008/01/10 08:52:46 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -70,7 +70,6 @@ main(int argc, char **argv)
 
 	/* test hidden column with cursors*/
 	CheckCursor();
-	m_hstmt1 = Statement;
 
 	rcode = SQLSetStmtAttr(m_hstmt1, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLSetStmtAttr SQL_ATTR_CURSOR_SCROLLABLE");

